package system

import (
	"io"
	"log"
	"net/http"
	"os"
	"syscall"
)

// 重定向标准错误
func Stderr(f *os.File) {
	// err := syscall.Dup2(int(f.Fd()), int(os.Stdout.Fd()))
	// if err != nil {
	// 	log.Fatalf("Failed to redirect stderr to file: %v", err)
	// }
	err := syscall.Dup2(int(f.Fd()), int(os.Stderr.Fd()))
	if err != nil {
		log.Fatalf("Failed to redirect stderr to file: %v", err)
	}
}

// windows增加跨域,linux不处理
func AddAllowOrigin(header http.Header) {
	// header.Add("Access-Control-Allow-Origin", "*")
}

// 日志输出位置
func GetStderr() io.Writer {
	return io.Discard
}

func IsWindows() bool {
	return false
}
